Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152955 - sendmail-cf contains rpm build artifacts
Summary: sendmail-cf contains rpm build artifacts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sendmail
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 10:59 UTC by bastiaan
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0252
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 17:11:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0252 normal SHIPPED_LIVE Low: sendmail security and bug fix update 2007-05-01 17:11:07 UTC

Description bastiaan 2005-03-31 10:59:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
The sendmail-cf rpm contains files that shouldn't be packaged. E.g.:
/usr/share/sendmail-cf/m4/cfhead.m4.movefiles
/usr/share/sendmail-cf/mailer/cyrus.m4.cyrus

These are artifacts of the '%patch -p1 -b ...' commands in the RPM spec.


Version-Release number of selected component (if applicable):
sendmail-cf-8.13.1-2

How reproducible:
Always

Steps to Reproduce:
rpm --install sendmail-cf

Additional info:

Comment 1 Suzanne Hillman 2005-03-31 19:31:46 UTC
Internal RFE bug #152997 entered; will be considered for future releases.

Comment 2 Daniel Riek 2006-08-25 03:04:50 UTC
The component of this request is planned to be updated in Red Hat enterprise
Linux 4.5.

This enhancement request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux maintenance release.

Product Management has requested further review of this enhancement by Red Hat
Engineering, for potential inclusion in a Red Hat Enterprise Linux Update
release for currently deployed products.

This enhancement is not yet committed for inclusion in an Update release. 

Comment 7 Red Hat Bugzilla 2007-05-01 17:11:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0252.html



Note You need to log in before you can comment on or make changes to this bug.